<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('guardians', function (Blueprint $table) {
            $table->id();
            $table->bigInteger('en_id');
            $table->string('guard_name')->nullable();
            $table->string('guard_title')->nullable();
            $table->string('guard_social_insu_no')->nullable();
            $table->string('guard_address')->nullable();
            $table->string('guard_city')->nullable();
            $table->string('guard_province')->nullable();
            $table->string('guard_country')->nullable();
            $table->string('guard_post_code')->nullable();
            $table->string('guard_email')->nullable();
            $table->string('guard_custodial_parent')->nullable();
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('guardians');
    }
};